<?xml version="1.0" encoding="utf-8"?>
<policy version="1.0">
    <cmd id="1" name="mtk_cpu_info">
        <action>
            <prime_cpu_num>7-7</prime_cpu_num>
            <big_cpu_num>4-6</big_cpu_num>
            <lit_cpu_num>0-3</lit_cpu_num>
        </action>
    </cmd>
    <cmd id="4096" name="touch_move">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1537000</big_cpu0_min_freq>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4098" name="window_switch">
        <action>
            <duration_ms>500</duration_ms>
            <lit_cpu0_min_freq>1525000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <top-app>50</top-app>
        </action>
    </cmd>
    <cmd id="4099" name="app_start">
        <action>
            <duration_ms>3000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>52</top-app>
        </action>
    </cmd>
    <cmd id="4102" name="screen_on">
        <action>
            <duration_ms>1000</duration_ms>
            <lit_cpu0_min_freq>1350000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>3</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4103" name="finger_print">
        <action>
            <duration_ms>500</duration_ms>
            <lit_cpu0_min_freq>1525000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <ddr_min_level>2</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4104" name="status_bar">
        <action>
            <duration_ms>200</duration_ms> <!-- 200 -->
            <lit_cpu0_min_freq>1525000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>3</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4105" name="rotation">
        <action>
            <duration_ms>1000</duration_ms>
            <lit_cpu0_min_freq>1525000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>3</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4112" name="list_fling">
        <action>
            <duration_ms>3000</duration_ms>
            <lit_cpu0_min_freq>1350000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>1370000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>20</gpu_min_level>
            <ddr_min_level>4</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4118" name="special_scene">
        <action>
            <duration_ms>0</duration_ms>
            <sched_boost>1</sched_boost>
            <top-app>30</top-app>
            <cpu_freq_cci_mode>1</cpu_freq_cci_mode>
            <big_task_rotation>1</big_task_rotation>
            <fps_fbt_bhr>5</fps_fbt_bhr>
            <fps_fbt_bhr_opp>15</fps_fbt_bhr_opp>
            <ddr_min_level>1</ddr_min_level>
            <screen_state>2</screen_state>
        </action>
    </cmd>
    <cmd id="4119" name="special_game_scene">
        <action>
            <duration_ms>0</duration_ms>
            <cm_mgr>1</cm_mgr>
        </action>
    </cmd>

    <cmd id="4250" name="fastup_fastdown_level0">
        <action>
           <duration_ms>0</duration_ms>
           <up_rate_limit_usec>1000</up_rate_limit_usec>
           <down_rate_limit_usec>1000</down_rate_limit_usec>
        </action>
    </cmd>

    <cmd id="4251" name="fastup_fastdown_level1">
        <action>
           <duration_ms>0</duration_ms>
           <up_rate_limit_usec>1000</up_rate_limit_usec>
           <down_rate_limit_usec>1000</down_rate_limit_usec>
        </action>
    </cmd>

    <cmd id="4252" name="fastup_fastdown_level2">
        <action>
           <duration_ms>0</duration_ms>
           <up_rate_limit_usec>1000</up_rate_limit_usec>
           <down_rate_limit_usec>1000</down_rate_limit_usec>
        </action>
    </cmd>

    <cmd id="4253" name="fastup_fastdown_level3">
        <action>
            <duration_ms>0</duration_ms>
            <up_rate_limit_usec>1000</up_rate_limit_usec>
            <down_rate_limit_usec>1000</down_rate_limit_usec>
        </action>
    </cmd>

    <cmd id="12354" name="cpu_map_dram_enable">
        <action>
            <duration_ms>0</duration_ms>
            <cpu_map_dram_switch>1</cpu_map_dram_switch>
        </action>
    </cmd>

    <cmd id="4225" name="default_mode">
        <action>
           <duration_ms>0</duration_ms>
           <up_rate_limit_usec>1000</up_rate_limit_usec>
           <down_rate_limit_usec>1000</down_rate_limit_usec>
        </action>
    </cmd>


    <cmd id="4358" name="search_contacts">
        <action>
            <duration_ms>100</duration_ms>
            <top-app>30</top-app>
        </action>
    </cmd>
    <!--add for game eas value-->
    <cmd id="4363" name="eas_level_0">
        <action>
            <duration_ms>0</duration_ms>
            <top-app>10</top-app>
        </action>
    </cmd>

    <cmd id="4364" name="eas_level_1">
        <action>
            <duration_ms>0</duration_ms>
            <top-app>20</top-app>
        </action>
    </cmd>

    <cmd id="4365" name="eas_level_2">
        <action>
            <duration_ms>0</duration_ms>
            <top-app>30</top-app>
        </action> 
    </cmd>

    <cmd id="4366" name="eas_level_3">
        <action>
            <duration_ms>0</duration_ms>
            <top-app>30</top-app>
            <ta_uclamp_min>10</ta_uclamp_min>
        </action>
    </cmd>

    <cmd id="4367" name="eas_level_4">
        <action>
            <duration_ms>0</duration_ms>
            <top-app>50</top-app>
            <ta_uclamp_min>20</ta_uclamp_min>
        </action>
    </cmd>
    <cmd id="4368" name="eas_level_5">
        <action>
            <duration_ms>0</duration_ms>
            <top-app>70</top-app>
            <ta_uclamp_min>30</ta_uclamp_min>
        </action>
    </cmd>

    <!--from 4394 to 4398, for touch boost. cmd id begin-->
    <cmd id="4394" name="touch_boost_level_1">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1745000</prime_cpu0_min_freq>
            <gpu_idle>1</gpu_idle>
            <top-app>40</top-app>
            <sched_boost>1</sched_boost>
        </action>
    </cmd>

    <cmd id="4395" name="touch_boost_level_2">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1745000</prime_cpu0_min_freq>
            <gpu_idle>1</gpu_idle>
            <top-app>40</top-app>
            <sched_boost>1</sched_boost>
        </action>
    </cmd>

    <cmd id="4396" name="touch_boost_level_3">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1855000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1820000</prime_cpu0_min_freq>
            <gpu_idle>1</gpu_idle>
            <top-app>40</top-app>
            <sched_boost>1</sched_boost>
        </action>
    </cmd>

    <cmd id="4397" name="touch_boost_level_4">
        <action>
            <duration_ms>100</duration_ms>
            <lit_cpu0_min_freq>1800000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <ddr_min_level>0</ddr_min_level>
            <gpu_min_level>0</gpu_min_level>
            <gpu_idle>1</gpu_idle>
            <top-app>40</top-app>
            <sched_boost>1</sched_boost>
        </action>
    </cmd>

    <cmd id="4398" name="touch_boost_level_5">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1800000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <ddr_min_level>0</ddr_min_level>
            <gpu_min_level>0</gpu_min_level>
            <gpu_idle>1</gpu_idle>
            <top-app>40</top-app>
            <sched_boost>1</sched_boost>
        </action>
    </cmd>
    <!--from 4394 to 4398, for touch boost. cmd id end-->

    <cmd id="4399" name="warm_start">
        <action>
            <duration_ms>800</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>52</top-app>
        </action>
    </cmd>
    <cmd id="4400" name="click_normal">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1537000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>1370000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>20</gpu_min_level>
            <ddr_min_level>4</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4401" name="click_boost">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>1625000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2200000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>1632000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>10</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4402" name="slide_normal">
        <action>
            <duration_ms>3000</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1537000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>1370000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>20</gpu_min_level>
            <ddr_min_level>4</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4403" name="slide_boost">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>1625000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2200000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>1632000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>10</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <top-app>30</top-app>
        </action>
    </cmd>
    <!--from 4405 to 4414, for itouch perf level. cmd id begin-->
    <cmd id="4405" name="itouch_perf_level_1">
        <action>
            <duration_ms>150</duration_ms>
            <lit_cpu0_min_freq>1525000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1108000</prime_cpu0_min_freq>
            <ddr_min_level>3</ddr_min_level>
        </action>
    </cmd>
    <cmd id="4406" name="itouch_perf_level_2">
        <action>
            <duration_ms>150</duration_ms>
            <lit_cpu0_min_freq>1625000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1855000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1258000</prime_cpu0_min_freq>
            <ddr_min_level>3</ddr_min_level>
        </action>
    </cmd>
    <cmd id="4407" name="itouch_perf_level_3">
        <action>
            <duration_ms>150</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1370000</prime_cpu0_min_freq>
            <ddr_min_level>3</ddr_min_level>
        </action>
    </cmd>
    <cmd id="4408" name="itouch_perf_level_4">
        <action>
            <duration_ms>150</duration_ms>
            <lit_cpu0_min_freq>1800000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2200000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1482000</prime_cpu0_min_freq>
            <ddr_min_level>2</ddr_min_level>
        </action>
    </cmd>
    <cmd id="4409" name="itouch_perf_level_5">
        <action>
            <duration_ms>150</duration_ms>
            <lit_cpu0_min_freq>2000000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1632000</prime_cpu0_min_freq>
            <ddr_min_level>2</ddr_min_level>
        </action>
    </cmd>

    <cmd id="4415" name="camera_start">
        <action>
            <duration_ms>5000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>1</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="4416" name="quickstep">
        <action>
            <duration_ms>500</duration_ms>
            <lit_cpu0_min_freq>1625000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1855000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>1370000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <ddr_min_level>4</ddr_min_level>
            <gpu_min_level>20</gpu_min_level>
            <top-app>30</top-app>
        </action>
        <action>
            <duration_ms>1000</duration_ms>
            <task_affinity>1</task_affinity>
        </action>
    </cmd>

   <cmd id="4485" name="game_assistant_animation">
        <action>
            <duration_ms>200</duration_ms>
            <lit_cpu0_min_freq>1525000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="5376" name="set_default_level"> <!--group num must be (eas:8, hmp:1)-->
        <action>
            <duration_ms>0</duration_ms>
            <hmp>0</hmp>
        </action>
    </cmd>
    <cmd id="5378" name="touch_down">
        <action>
            <duration_ms>3000</duration_ms>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="5379" name="touch_up">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1350000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1258000</prime_cpu0_min_freq>
            <top-app>30</top-app>
        </action>
    </cmd>
    <cmd id="12289" name="low_temp_tsh">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_max_freq>1250000</lit_cpu0_max_freq>
            <big_cpu0_max_freq>1537000</big_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="12297" name="ddr_0">
        <action>
            <duration_ms>0</duration_ms>
            <ddr_min_level>0</ddr_min_level>
        </action>
    </cmd>
    <cmd id="12298" name="ddr_1">
        <action>
            <duration_ms>0</duration_ms>
            <ddr_min_level>1</ddr_min_level>
        </action>
    </cmd>
    <cmd id="12299" name="ddr_2">
        <action>
            <duration_ms>0</duration_ms>
            <ddr_min_level>2</ddr_min_level>
        </action>
    </cmd>
    <!--from 13050 to 13059, for game launch boost. cmd id end-->
    <cmd id="13000" name="Base0">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1046000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13001" name="Base1">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1162000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13010" name="CPU_16">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1335000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13011" name="CPU_17">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1537000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13012" name="CPU_183">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1624000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13013" name="CPU_189">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1740000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13014" name="CPU_19">
        <action>
            <duration_ms>0</duration_ms>
            <big_cpu0_min_freq>1855000</big_cpu0_min_freq>
        </action>
    </cmd>

    <cmd id="13015" name="big-lit-01">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1451000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13016" name="big-lit-02">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1537000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13021" name="big-lit-1">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>1855000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13022" name="big-lit-2">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2200000</big_cpu0_min_freq>
        </action>
    </cmd>
    <cmd id="13023" name="big-lit-3">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_min_freq>1250000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
        </action>
    </cmd>

    <cmd id="12312" name="bcpu_level_20">
        <action>
            <duration_ms>20000</duration_ms>
            <lit_cpu0_min_freq>1625000</lit_cpu0_min_freq>
            <big_cpu0_min_freq>2200000</big_cpu0_min_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>30</top-app>
        </action>
    </cmd>

    <!--from 13050 to 13059, for game launch boost. cmd id begin-->
    <cmd id="13050" name="game_start_05">
        <action>
            <duration_ms>5000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>32</top-app>
        </action>
    </cmd>
    <cmd id="13051" name="game_start_10">
        <action>
            <duration_ms>10000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>32</top-app>
        </action>
    </cmd>
    <cmd id="13052" name="game_start_20">
        <action>
            <duration_ms>20000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>32</top-app>
        </action>
    </cmd>
    <cmd id="13250" name="camera_scan">
        <action>
            <duration_ms>10000</duration_ms>
            <fps_fbt_bhr_opp>15</fps_fbt_bhr_opp>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
        </action>
    </cmd>
    <cmd id="13053" name="game_start_30">
        <action>
            <duration_ms>30000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>32</top-app>
        </action>
    </cmd>
    <cmd id="13054" name="game_start_15">
        <action>
            <duration_ms>15000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>32</top-app>
        </action>
    </cmd>
    <cmd id="13055" name="game_start_40">
        <action>
            <duration_ms>40000</duration_ms>
            <lit_cpu0_min_freq>1725000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>2354000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_min_freq>2410000</prime_cpu0_min_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <gpu_min_level>4</gpu_min_level>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <top-app>32</top-app>
        </action>
    </cmd>
    <cmd id="13350" name="launch_high_load_boost">
        <action>
            <duration_ms>600</duration_ms>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <ta_uclamp_min>50</ta_uclamp_min>
            <ta_prefer_idle>1</ta_prefer_idle>
            <fps_fbt_bhr_opp>15</fps_fbt_bhr_opp>
            <fps_fbt_rescue_f>100</fps_fbt_rescue_f>
        </action>
    </cmd>
    <cmd id="13351" name="cam_high_load_boost">
        <action>
            <duration_ms>8000</duration_ms>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2600000</prime_cpu0_max_freq>
            <ta_uclamp_min>50</ta_uclamp_min>
            <ta_prefer_idle>1</ta_prefer_idle>
            <fps_fbt_bhr_opp>15</fps_fbt_bhr_opp>
            <fps_fbt_rescue_f>100</fps_fbt_rescue_f>
        </action>
    </cmd>
    <cmd id="13272" name="animation_boost">
        <action>
            <duration_ms>500</duration_ms>
            <lit_cpu0_min_freq>1350000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>2000000</lit_cpu0_max_freq>
            <big_cpu0_min_freq>1985000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2600000</big_cpu0_max_freq>			
            <gpu_min_level>4</gpu_min_level>
            <task_affinity>1</task_affinity>
        </action>
    </cmd>
    <cmd id="15000" name="fpsgo_1">
        <action>
            <duration_ms>0</duration_ms>
            <net_netd_boost_uid>1</net_netd_boost_uid>
            <net_md_weak_sig_opt>1</net_md_weak_sig_opt>
            <net_wifi_low_latency>1</net_wifi_low_latency>
            <net_bt_a2dp_low_latency>1</net_bt_a2dp_low_latency>
            <net_md_hsr_mode>1</net_md_hsr_mode>
            <thermal_policy>8</thermal_policy>
            <gpu_ged_dvfs_loading_mode>1</gpu_ged_dvfs_loading_mode>
            <fps_fbt_bhr>10</fps_fbt_bhr>
            <fps_fbt_bhr_opp>2</fps_fbt_bhr_opp>
            <gpu_ged_margin_mode>130</gpu_ged_margin_mode>
            <fps_gbe1_enable>1</fps_gbe1_enable>
            <fps_gbe2_enable>1</fps_gbe2_enable>
            <fps_gbe2_timer2_ms>3000</fps_gbe2_timer2_ms>
            <fps_gbe2_max_boost_cnt>2</fps_gbe2_max_boost_cnt>
            <fps_fbt_rescue_percent_90>50</fps_fbt_rescue_percent_90>
            <fps_fbt_rescue_second_enable>1</fps_fbt_rescue_second_enable>
            <fps_fbt_rescue_second_time>1</fps_fbt_rescue_second_time>
            <fps_fbt_ultra_rescue>1</fps_fbt_ultra_rescue>
            <fps_fpsgo_cm_big_cap_90>1</fps_fpsgo_cm_big_cap_90>
            <fps_fpsgo_cm_tdiff_90>0</fps_fpsgo_cm_tdiff_90>
        </action>
    </cmd>
    <cmd id="15001" name="fpsgo_2">
        <action>
            <duration_ms>0</duration_ms>
            <net_netd_boost_uid>1</net_netd_boost_uid>
            <net_md_weak_sig_opt>1</net_md_weak_sig_opt>
            <net_bt_a2dp_low_latency>1</net_bt_a2dp_low_latency>
            <net_md_hsr_mode>1</net_md_hsr_mode>
            <thermal_policy>8</thermal_policy>
            <fps_fpsgo_margin_mode>2</fps_fpsgo_margin_mode>
            <fps_fpsgo_margin_mode_dbnc_a>9</fps_fpsgo_margin_mode_dbnc_a>
            <fps_fpsgo_margin_mode_dbnc_b>1</fps_fpsgo_margin_mode_dbnc_b>
            <fps_gbe2_enable>1</fps_gbe2_enable>
            <fps_gbe2_timer2_ms>3000</fps_gbe2_timer2_ms>
            <fps_gbe2_max_boost_cnt>2</fps_gbe2_max_boost_cnt>
            <fps_gbe2_loading_th>0</fps_gbe2_loading_th>
            <fps_gbe_policy_mask>95</fps_gbe_policy_mask>
            <fps_fpsgo_sp_name_id>1</fps_fpsgo_sp_name_id>
            <fps_fpsgo_sp_sub>1</fps_fpsgo_sp_sub>
            <fps_fpsgo_sp_ck_period>30000000</fps_fpsgo_sp_ck_period>
            <fps_fbt_ultra_rescue>1</fps_fbt_ultra_rescue>
            <fps_fpsgo_cm_big_cap>90</fps_fpsgo_cm_big_cap>
            <fps_fpsgo_cm_big_cap_90>50</fps_fpsgo_cm_big_cap_90>
            <fps_fpsgo_cm_big_cap_120>50</fps_fpsgo_cm_big_cap_120>
            <fps_fbt_bhr>15</fps_fbt_bhr>
            <fps_fbt_bhr_opp>3</fps_fbt_bhr_opp>
            <fps_fbt_rescue_f>50</fps_fbt_rescue_f>
            <fps_fbt_rescue_percent_90>50</fps_fbt_rescue_percent_90>
            <fps_fbt_rescue_percent_120>50</fps_fbt_rescue_percent_120>
            <fps_fpsgo_thrm_activate_fps>70</fps_fpsgo_thrm_activate_fps>
            <fps_fbt_rescue_second_enable>1</fps_fbt_rescue_second_enable>
            <fps_fbt_rescue_second_time>1</fps_fbt_rescue_second_time>
        </action>
    </cmd>
    <cmd id="15002" name="fpsgo_3">
        <action>
            <duration_ms>0</duration_ms>
            <thermal_policy>8</thermal_policy>
            <fps_fbt_bhr>15</fps_fbt_bhr>
            <fps_fbt_bhr_opp>3</fps_fbt_bhr_opp>
            <fps_gbe2_enable>1</fps_gbe2_enable>
            <fps_fstb_jump_check_num>31</fps_fstb_jump_check_num>
            <fps_fstb_jump_check_q_pct>50</fps_fstb_jump_check_q_pct>
            <fps_fbt_rescue_f>50</fps_fbt_rescue_f>
            <fps_fbt_ultra_rescue>1</fps_fbt_ultra_rescue>
            <fps_fbt_rescue_percent_90>50</fps_fbt_rescue_percent_90>
            <fps_fbt_rescue_percent_120>100</fps_fbt_rescue_percent_120>
        </action>
    </cmd>
    <cmd id="16000" name="affinity_boost">
        <action>
            <duration_ms>0</duration_ms>
            <task_affinity>0</task_affinity>
        </action>
    </cmd>
    <cmd id="15003" name="fpsgo_4">
        <action>
           <duration_ms>0</duration_ms>
           <thermal_policy>8</thermal_policy>
           <fps_fpsgo_cm_big_cap>70</fps_fpsgo_cm_big_cap>
           <fps_fpsgo_cm_tdiff_90>5000000</fps_fpsgo_cm_tdiff_90>
           <fps_fpsgo_llf_policy>2</fps_fpsgo_llf_policy>
           <fps_fpsgo_llf_th>25</fps_fpsgo_llf_th>
           <fps_fpsgo_thrm_temp_th>45</fps_fpsgo_thrm_temp_th>
           <fps_fpsgo_thrm_limit_cpu>7</fps_fpsgo_thrm_limit_cpu>
           <fps_fpsgo_thrm_sub_cpu>6</fps_fpsgo_thrm_sub_cpu>
           <fps_fbt_rescue_second_enable>1</fps_fbt_rescue_second_enable>
           <fps_fbt_rescue_second_time>1</fps_fbt_rescue_second_time>
           <fps_fbt_limit_cfreq>2000000</fps_fbt_limit_cfreq>
           <fps_fbt_limit_rfreq>2600000</fps_fbt_limit_rfreq>
           <fps_fbt_limit_cfreq_m>2000000</fps_fbt_limit_cfreq_m>
           <fps_fbt_limit_rfreq_m>2600000</fps_fbt_limit_rfreq_m>
        </action>
    </cmd>
</policy>
